Close batch for processing terminal

Use this method to manually close a batch on a processing terminal. Our gateway returns a cut-off time that indicates when our gateway closes the batch. **Note:** After our gateway closes the batch, the merchant can use the [Self-Care Portal](https://payments.payroc.com/) to view the details of the batch.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Response

Successful request. We closed the batch for the processing terminal.
cutOffTimestringRead-onlyformat: "^([01][0-9]|2[0-3]):[0-5][0-9]$"<=5 characters

Time that the processing terminal closes the batch. Our gateway returns this value in HH:mm format and uses the 24-hour clock.

timezonestringRead-onlyformat: "^[A-Z][A-Za-z_+\-]+(/[A-Za-z_+\-]+){1,2}$"<=40 characters

Time zone of the processing terminal. Our gateway returns this value as an IANA Time Zone Database identifier, for example, America/Chicago or Europe/London.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
500
Internal Server Error